<?php 

$wp_customize->add_control( new themesflat_Info( $wp_customize, 'footer_top_logo_label', array(
    'label'    => esc_html__( 'Logo Footer Top', 'homeya' ),
    'section'   => 'section_footer',
    'settings' => 'themesflat_options[info]',
    'priority' => 1,
) )
);

$wp_customize->add_setting ( 
    'show_footer_top',
    array (
        'sanitize_callback' => 'themesflat_sanitize_checkbox' ,
        'default' => themesflat_customize_default('show_footer_top'),     
    )
);
$wp_customize->add_control( new themesflat_Checkbox( $wp_customize,
    'show_footer_top',
    array(
        'type'      => 'checkbox',
        'label'     => esc_html__('Show Footer Top ( OFF | ON )', 'homeya'),
        'section'   => 'section_footer',
        'priority'  => 2
    ))
);

//Logo
$wp_customize->add_setting(
    'site_logo_ft',
    array(
        'default' => themesflat_customize_default('site_logo_ft'),
        'sanitize_callback' => 'esc_url_raw',
    )
);    
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'site_logo_ft',
        array(
           'label'          => esc_html__( 'Upload Logo Footer', 'homeya' ),
           'description'    => esc_html__( 'If you don\'t display logo please remove it your website display 
            Site Title default in General', 'homeya' ),
           'type'           => 'image',
           'section'   => 'section_footer',
           'priority'       => 3,
        )
    )
);

// Logo Size    
$wp_customize->add_setting(
    'logo_width_ft',
    array(
        'default'   =>  themesflat_customize_default('logo_width_ft'),
        'sanitize_callback' => 'esc_attr',
    )
);
$wp_customize->add_control( new themesflat_Slide_Control( $wp_customize,
    'logo_width_ft',
        array(
            'type'      =>  'slide-control',
            'section'   => 'section_footer',
            'label'     =>  esc_html__( 'Logo Size Width(px)', 'homeya' ),
            'priority'  => 4,
            'input_attrs' => array(
                'min' => 0,
                'max' => 500,
                'step' => 1,
            ),
        )

    )
);

// Columns Footer
$wp_customize->add_setting(
    'footer_widget_areas',
    array(
        'default'           => themesflat_customize_default('footer_widget_areas'),
        'sanitize_callback' => 'themesflat_sanitize_grid_post_related',
    )
);
$wp_customize->add_control(
    'footer_widget_areas',
    array(
        'type'      => 'select',           
        'section'   => 'section_footer',
        'priority'  => 5,
        'label'     => esc_html__('Columns Footer', 'homeya'),
        'choices'   => array(                
            2     => esc_html__( '2 Columns', 'homeya' ),
            3     => esc_html__( '3 Columns', 'homeya' ),
            4     => esc_html__( '4 Columns', 'homeya' ),                  
        )
    )
); 

// Social Footer

$wp_customize->add_setting(
    'show_footer_navigation_social',
    array(
        'default'   => themesflat_customize_default('show_footer_navigation_social'),
        'sanitize_callback'  => 'themesflat_sanitize_checkbox',
    )
);
$wp_customize->add_control( new themesflat_Checkbox( $wp_customize,
        'show_footer_navigation_social',
        array(
            'type'      => 'checkbox',
            'label'     => esc_html__('Show Social ( OFF | ON )', 'homeya'),
            'section'   => 'section_footer',
            'priority'  => 5
        )
    )
);

$wp_customize->add_control( new themesflat_Info( $wp_customize, 'footer_logo_label', array(
    'label'    => esc_html__( 'Footer Content', 'homeya' ),
    'section'   => 'section_footer',
    'settings' => 'themesflat_options[info]',
    'priority' => 6,
) )
);

$wp_customize->add_setting ( 
    'show_footer',
    array (
        'sanitize_callback' => 'themesflat_sanitize_checkbox' ,
        'default' => themesflat_customize_default('show_footer'),     
    )
);
$wp_customize->add_control( new themesflat_Checkbox( $wp_customize,
    'show_footer',
    array(
        'type'      => 'checkbox',
        'label'     => esc_html__('Show Footer Content ( OFF | ON )', 'homeya'),
        'section'   => 'section_footer',
        'priority'  => 7
    ))
);

// Footer Box control
$wp_customize->add_setting(
    'footer_controls',
    array(
        'default' => themesflat_customize_default('footer_controls'),
        'sanitize_callback' => 'themesflat_sanitize_text',
    )
);
$wp_customize->add_control( new themesflat_BoxControls($wp_customize,
    'footer_controls',
    array(
        'label' => esc_html__( 'Footer Box Controls (px)', 'homeya' ),
        'section' => 'section_footer',
        'type' => 'box-controls',
        'priority' => 9
    ))
);